'use strict';

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var outLogo = function () {
  var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
    return _regenerator2.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            return _context2.abrupt('return', new _promise2.default(function (resolve, reject) {
              (0, _asciify2.default)('RNKit Code Push', { font: 'ivrit' }, function (err, res) {
                if (err) {
                  reject(err);
                }
                resolve(res);
              });
            }));

          case 1:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  return function outLogo() {
    return _ref2.apply(this, arguments);
  };
}();

var _asciify = require('asciify');

var _asciify2 = _interopRequireDefault(_asciify);

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Module dependencies
 */

var _ = require('lodash');
var program = require('commander');


program.Command.prototype.usageMinusWildcard = program.usageMinusWildcard = function () {
  program.commands = _.reject(program.commands, {
    _name: '*'
  });
  program.help();
};

program.Command.prototype.versionInformation = program.versionInformation = function () {
  program.emit('version');
};

if (!process.argv.slice(2).length) {
  (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
    var str;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.t0 = _colors2.default;
            _context.next = 3;
            return outLogo();

          case 3:
            _context.t1 = _context.sent;
            _context.t2 = _context.t0.bold.call(_context.t0, _context.t1);
            _context.t3 = _colors2.default.blue('  version: ' + require('../package.json').version + '\n');
            str = _context.t2 + _context.t3;

            program.outputHelp(function () {
              return str;
            });

          case 8:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }))();
}

module.exports = program;