'use strict';

exports.__esModule = true;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var list = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(type, message, rawData) {
    var _ref2, value, indexs, _iterator, _isArray, _i, _ref3, val;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return _inquirer2.default.prompt([{
              type: type,
              name: 'value',
              message: message,
              choices: rawData
            }]);

          case 2:
            _ref2 = _context.sent;
            value = _ref2.value;

            if (!_.isArray(value)) {
              _context.next = 22;
              break;
            }

            indexs = [];
            _iterator = value, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);

          case 7:
            if (!_isArray) {
              _context.next = 13;
              break;
            }

            if (!(_i >= _iterator.length)) {
              _context.next = 10;
              break;
            }

            return _context.abrupt('break', 21);

          case 10:
            _ref3 = _iterator[_i++];
            _context.next = 17;
            break;

          case 13:
            _i = _iterator.next();

            if (!_i.done) {
              _context.next = 16;
              break;
            }

            return _context.abrupt('break', 21);

          case 16:
            _ref3 = _i.value;

          case 17:
            val = _ref3;

            indexs.push(rawData.indexOf(val));

          case 19:
            _context.next = 7;
            break;

          case 21:
            return _context.abrupt('return', {
              index: indexs, // .join(','),
              value: value
            });

          case 22:
            return _context.abrupt('return', {
              index: rawData.indexOf(value),
              value: value
            });

          case 23:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function list(_x, _x2, _x3) {
    return _ref.apply(this, arguments);
  };
}();

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _ = require('lodash');

exports.default = { list: list };