'use strict';

exports.__esModule = true;
exports.logout = exports.me = exports.login = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var login = exports.login = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(loginName, password) {
    var _ref2, token, user;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return post('/auth/login', {
              loginName: loginName,
              password: md5(password)
            });

          case 2:
            _ref2 = _context.sent;
            token = _ref2.token;
            user = _ref2.user;

            replaceToken({ token: token });
            _context.next = 8;
            return saveToken();

          case 8:
            console.log(_colors2.default.blue('Hi, ' + user.name + '.'));

          case 9:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function login(_x, _x2) {
    return _ref.apply(this, arguments);
  };
}();

var me = exports.me = function () {
  var _ref3 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
    var me, table, k;
    return _regenerator2.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return get('/auth/me');

          case 2:
            me = _context2.sent;
            table = new _cliTable2.default({
              colWidths: [12, 30]
            });

            for (k in me) {
              table.push(['' + k, '' + me[k]]);
            }
            console.log(_colors2.default.green(table.toString()));

          case 6:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  return function me() {
    return _ref3.apply(this, arguments);
  };
}();

var logout = exports.logout = function () {
  var _ref4 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3() {
    return _regenerator2.default.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            _context3.next = 2;
            return post('/auth/logout');

          case 2:
            closeToken();
            console.log('Logged out.');

          case 4:
          case 'end':
            return _context3.stop();
        }
      }
    }, _callee3, this);
  }));

  return function logout() {
    return _ref4.apply(this, arguments);
  };
}();

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

var _cliTable = require('cli-table2');

var _cliTable2 = _interopRequireDefault(_cliTable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _require = require('./api'),
    post = _require.post,
    get = _require.get,
    replaceToken = _require.replaceToken,
    saveToken = _require.saveToken,
    closeToken = _require.closeToken;

var crypto = require('crypto');


function md5(str) {
  return crypto.createHash('md5').update(str).digest('hex');
}